Changelog
=========
[Alexandru Ghica - alec.ghica at eaudeweb.ro]
[Alin Voinea - alin.voinea at eaudeweb.ro]
[Antonio De Marinis - demarinis at eea.europa.eu]
[Tiberiu Ichim - tiberiu at eaudeweb.ro]

4.5 - (2011-12-02)
------------------
 * Bug fix: added widget labels and descriptions for countries widget,
   organisations widget and temporal coverage; They are hidden by default by
   Plone 4 because they are MultiSelectWidget [tiberich #4809]
 * Bug fix: fix problem with duplicated figure type label in figure edit [tiberich #4809]

4.4 - (2011-11-28)
------------------
* Bug fix: Required themes and subject is handled by EEAContentTypes
  [voineali #4694]

4.3 - (2011-11-24)
------------------
* Change: Allow registered browser_views to be customized by portal_view_customizations by making them inherit
  from BrowserView instead of object [ichimdav #4783]
* Bug fix: fixed organisations edit widget [tiberich #4775]

4.2 - (2011-11-22)
------------------
* Bug fix: Switch value and title for organisations widget [tiberich #4745]
* Optimization: Strip titles of first/last whitespace for Organisations vocab [tiberich #4745]

4.1 - (2011-11-18)
------------------
* Rerelease broken egg

4.0 - (2011-11-18)
------------------
* TODO: Fix more link on portlet_dataviewers
* Change: Migrated eeafigure_albumentry, eeafigure_view, portlet_dataviewers from custom [szabozo0 #4161]
* Bugfix: Reduced the length of Obligation titles in vocabulary in order to
  fix covered fields
  [szabozo0 #4661]
* Feature: Added filetype index in order to be able to search Files, Dataset,
  DataFiles by mime-type
  [voineali #2754]
* Bug fix: use eea.relations widget for Related EEA Products for EEAFigure [tiberich 4628]
* Feature: removed "Geographic quality" field and related logic [ghicaale #4601]
* Bugfix: Fixed the ROD, to display the previously applied selection [szabozo0 #4607]
* TODO: Convert all figures JS
* Bugfix: Fixed IE JS errors, fixed code that uses jQuery to avoid conflicts
  with other JS frameworks [szabozo0 #4542]
* Bug fix: Completed the default template for the EEAFigureFile by calling the
  fancybox view.
  [demarant #4522]
* Bugfix: Fixed wrong date formats [szabozo0 #4510]
* Change: removed the old themes portlet, now part of the main template as viewlet [demarant].
* Bugfix: Fixed file type on album view for EEAFigure [szabozo0 #4446]
* Bugfix: Fixed Geographical Coverage [szabozo0 #4423]
* Change: Enabled themecentre using macros [szabozo0 #4423]
* Change: Moved ManagementPlan Field and Widget to eea.forms [szabozo0 #4423]
* Feature: Fixed all pylint, pyflakes warnings [voineali #4302]
* Feature: Added upgrade steps [voineali #4392]
* Feature: Plone 4.0.4 compatible [voineali $4302]

1.37-dev - (unreleased)
-----------------------
 * Bug fix: Fixed Google Analytics for datafiles download [voineali #4317]

1.36 - (2011-05-20)
-------------------
 * Feature: Support DaViz enabled files in dataset and datatable view [voineali #4270]

1.35 - (2011-04-08)
-------------------
 * Feature: added managementplan formlib widget [tiberich #4215]

1.34 - (2011-04-04)
-------------------
 * Bug fix: fixed creation of imagefs that I broke during cleanup [ichimdav #4239]

1.33 - (2011-03-25)
-------------------
 * Cleanup: Removed portal_migration scripts as portal_migration is deprecated.
   Please check that all migration scripts where run before upgrading to this
   version [voineali #4139]
 * Change: clean-up of pyflakes high and normal compiler errors [ichimdav #4141]
 * Change: clean-up of pylint high and normal violations [ichimdav #4140]
 * Bug fix: join year and code in @@rdf view for management plan field [tiberich #4119]

1.32 - (2011-03-08)
-------------------
 * Change: moved "management_plan_code_validator" validator under
     Products.EEAContentTypes package as was used before being registered [ghicaale #4174]
 * Bug fix: Fixed organisations portlet JS for IE [ghicaale #3575]
 * Change: make code required and enable validator for figures refs #4174 [demarant]

1.31 - (2011-03-02)
-------------------
 * Feature: added functionality to transfer references from one organisation
     to another [ghicaale #3575]
 * Change: URLs status is now triggered by the user (not in automatic). Some
     cosmetics on listing display [ghicaale #3575]

1.30 - (2011-02-10)
-------------------
 * Bug fix: Set default view for EEAFigureFile to eeafigurefile_view [voineali #4125]
 * Change: Better progress status of URLs checked by linkchecker [ghicaale #3575]

1.29 - (2011-02-03)
-------------------
 * Feature: Added progress status of URLs checked by linkchecker [ghicaale #3575]
 * Bug fix: Catch "OverflowError" while converting images [ghicaale]

1.28 - (2011-02-01)
-------------------
 * Feature: Added "organisations overview" portlet in order to simplify the
     management of duplicates and wrong metadata on organisations [ghicaale #3575]
 * Bug fix: Fixed display of location on organisations view when location
     has no value [ghicaale #3575]
 * Bug fix: Fixed organisation URL validator to consider URLs ending
     with '/' equal [ghicaale #3575]

1.27 - (2011-01-24)
-------------------
 * Bug fix: Fixed large size for EEA Figures converted images [voineali #4051]
 * Bug fix: Fixed test breakage caused by changes in eea.versions [tiberich #4000]
 * Change: Use permalinks macro from eea.versions [tiberich #3552]

1.26 - (2011-01-24)
-------------------
 * Disable remaining soer_bulk_import modules as version 1.25 is broken [voineali]

1.25 - (2011-01-21)
-------------------
 * Disabled temporary soer bulk import file, it gives >660 pylint violations.
     It can be renamed when needed again.[demarant]

1.24 - (2011-01-13)
-------------------
 * Bug fix: Copied 'Fix low resolution images for EEA Figure Files' script
     from eea.dataservicemigration package as it was never ran on production
     and eea.dataservicemigration package is no longer available in
     EEA buildout [voineali ##3595]
 * Bug fix: Fixed Organisation vocabulary not to crash when duplicate titles
     were found. Now duplicate titles are listed as MyTitle, MyTitle (1), etc
     [ghicaale #4036]
 * Update: Bulk import of SOER figures - first batch [ghicaale #3987]

1.23 - (2011-01-05)
-------------------
 * Change: Activated annual management plan validator for datasets [ghicaale #4023]

1.22 - (2010-12-21)
-------------------
 * Bug fix: Implemented correct annual management plan validator, fixes #4019 [demarant]
 * Change: Fixed intendation in Data.py [ghicaale]

1.21 - (2010-12-13)
-------------------
 * Bug fix: Fixed jslint warnings [voineali #3821]

1.20 - (2010-11-12)
-------------------
 * Change: Added cache metadata to images [ghicaale #3667]

1.19 - (2010-11-04)
-------------------
 * Change: Make STARTING_YEAR 1750 instead of 1850 [tiberich ]

1.18 - (2010-11-04)
-------------------
 * Change: Reindent code [ghicaale]
 * Bug fix: Don't reverse years in @@formatTempCoverage if not needed [tiberich #3813]

1.17 - (2010-11-02)
-----------------------
 * Bug fix: Fixed usage of isVersionEnhanced instead of hasVersions [ghicaale #3278]

1.16 - (2010-10-29)
-----------------------
 * API Change: Use isVersionEnhanced instead of hasVersions [tiberich #3278]

1.15 - (2010-09-06)
-------------------
 * Feature: Reindex backreferencing Assessments and IndicatorFactSheets when a
     EEAFigure changes [tiberich #3475]
 * Change: Copyright info is now more explicit when it falls to EEA standard
     re-use policy. [demarant #3580]
 * Feature: Added "Migrate Data to ExternalDataSpec" action, available to
     Portal Managers [ghicaale #3213]
 * Feature: Added multiautocommpleteselect and selectautocomplete widgets,
     to be used in the Organisations widget [tiberich #3530]

1.14 - (2010-07-01)
------------------
 * Feature: Make use of eea.versions package. [ghicaale #3462]
 * Bug fix: Fixed "assign version to" action [ghicaale #2883]

1.13 - (2010-06-17)
-------------------
 * Bug fix: Fixed versions inclusion in release 1.12 [voineali #3455]

1.12 - (2010-06-16)
-------------------
 * Feature: Implemented "assign version to" functionality [ghicaale #2883]
 * Change: XML dump of datasets and figures are now using catalog to do the query [ghicaale]

1.11 - (2010-05-07)
-------------------
 * Change: Adjusted template to use the new atct_album_view listing macro [voineali #3305]
 * Bug fix: Broken thumbnails for EEAFigures [voineali #3311]
 * Bug fix: Maps&Graphs fancy box returns an error [voineali #3240]
 * Bug fix: On IMS, thumb image from dataservice is now acquired regardless
     of EEAFigure state. [ghicaale #3018]

1.10 - (2010-03-26)
-------------------
 * Bug fix: Get all visible figures in AllMapsAndGraphs_dump.xml [voineali #2833]
 * Bug fix: Typo in 'Last upload' tooltip, replaced 'conicide' with 'coincide' [ghicaale]
 * Bug fix: Only datasets appear now under 'Derived data set' and
     under 'Parent data set' [ghicaale #3174]
 * Bug fix: Layout issue on fancybox with long notes [voineali #3156]
 * Bug fix: Error on datasets view when ROD ( http://rod.eionet.europa.eu/obligations )
     server is not responding [ghicaale #3161]

1.9 - (2010-03-16)
------------------
 * Feature: Update faceted lastversion widget to use IWidgetFilterBrains adapter instead
     of after_query method [voineali #3141]
 * Change: 'Table' removed from the list of 'Figure type', now only 'Map'
     and 'Graph' are available as a choice. [ghicaale #3140]
 * Bug fix: Most recent map version not found in thematic search [voineali #3101]
 * Change: Safely define macro tooltip in dataset_view.pt [voineali]

1.8 - (2010-03-08)
------------------
 * Change: Added a macro for tooltip display. Tooltip is now shown only if
     there is information available. [ghicaale #2389]
 * Bug fix: Size is displayed 0 kB if lower than 1 Mb [voineali]
 * Bug fix: now on IMS EEAFigureFiles in any state appear. [ghicaale #3018]
 * Feature: Explicit tooltip icons added in front of each metadata label. [ghicaale #2986]
 * Bug fix: Title value is replaced with ['', ''] when using next/previous buttons
     in EEAFigure edit form [voineali #3018]
 * Change: Now uses jquery.fancybox 1.3.0 which is included in portal_javascript [thuliper #3031]
 * Bug fix: Removed duplicate listing of "Permalink to latest version" from figures view. [ghicaale]
 * Bug fix: Fixed display list of publications from relation widget search results. [ghicaale #3018]
 * Feature: Refactor figure view template to show fancybox inline if there is only one
     figure file. Also added support to use figure fancybox outside EEAFigure
     context [voineali #2924]
 * Bug fix: Fixed when receiving '404 Not Found' upon redireting via permalinks to a dataset
     not published. [ghicaale #3030]

1.7 - (2010-02-24)
------------------
 * Change: The search after publications from relation widget is now based
     on publication title instead of eeaid. Multiple results are now
     shown after each search. [ghicaale #2910]
 * Bug fix: Fixed that only DataTables and DataFiles that are in public state
     are visible on index page. On organisations index statistics are
     counting now only published figures and datasets. [ghicaale #2997]
 * Bug fix: Fixed label of 'This dataset is derived from' being aquired by other
     content types that uses 'relatedItems' field. [ghicaale #3001]

1.6 - (2010-02-15)
------------------
 * Change: Better path for google analytics stats on downloads of files [demarant #2977]
 * Change: Changed order of metadata on data and figure fields. [demarant. #2389]

1.5 - (2010-01-18)
------------------
 * Feature: Added new style classes for messages on new or old version [demarant. #2389]
 * Feature: Added an organisation URL validator in order to have only
     unique URLs poiting from organisations. [ghicaale #2914]
 * Bug fix: No more duplicates in organisation vocabulary even if there are
     more then one organisation with same url. [ghicaale #2914]
 * Feature: Batch on album view for datasets and figures is now customisable. [ghicaale #2908]
 * Bug fix: get also the backreference for 'Related Products'. [ghicaale #2890]
 * Feature: Figure convertions asyncronus. [ghicaale #2895]
 * Feature: Download figure if no thumb on atct_album_view. [ghicaale #2897]

1.4 - (2010-01-04)
------------------
 * Feature: ImageFS workflow added. [ghicaale]
 * Feature: Add 'Skip' button on survey page. [voineali #2891]
 * Change: Updated text for data survey, it is not an agreement. [demarant #2814]
 * Feature: DataTables sorted alphabetically under a category. [ghicaale #2888]
 * Bug fix: Files are now listed if file size equal zero but size
     information if hiden. [ghicaale #2889]
 * Bug fix: Organisation view use now correct macros. [ghicaale #2886]
 * Feature: Tags for datasets and figures are now clickable. [ghicaale #2863]
 * Bug fix: and minus for data table expand. [ghicaale #2886]
 * Bug fix: to low/high resolution for zoom images [voineali #2877]
 * Feature: ImageFS are using now eea_imagefs_workflow so no need
     to change state during convert map. [ghicaale]
 * Bug fix: Only published relations are displayed [ghicaale #2876]
 * Change: Link of owners and processors are pointing to related organisation,
     no more externals links. [ghicaale]
 * Change: Organisation view labels updated. [ghicaale]
 * Change: Data viewers listing on datasets view showing thumb and real
     actual link to the viewer. [ghicaale #2852]
 * Bug fix: Fixed that 'installVocabularies' import step is only run if
     we are in eea.dataservice profile. [ghicaale]
 * Change: Categories sort order of datasets based on order of vocabulary items order
     on 'categories' vocabulary. DataFiles are now sorted based on filename. [ghicaale #2858]
 * Bug fix: Fixed download IDs to be unique so survey can differentiate between them. [ghicaale #2860]
 * Change: Transaction savapoint added as convertion process can take some time to be
     finnished if several EPS files are converted during same action. [ghicaale #2850]
 * Change: More logging added to "Convert figure" and "Convert all figures" [ghicaale #2819]

1.3 - (2009-12-04)
------------------
 * Feature: "Last upload" and "Publish date" formated with toLocalizedTime [ghicaale #2819]
 * Feature: Added empty value for years list on management plan code field [ghicaale #2819]
 * Bug fix: Fixed broken "GetCountryGroups" view [ghicaale #2800]

1.2 - (2009-11-27)
------------------
 * Bug fix: Fixed broken link from publications, now pointing to dataservice 2.0 objects [ghicaale #2823]
 * Bug fix: Fixed vocabulary for datasets quick links [ghicaale #2828]
 * Bug fix: Organisation view now display statistics about related owners and processors [ghicaale #2815]
 * Change: Workflow updated to fix thumbnail view of EEAFigure when in state of "Published EIONET" [ghicaale]
 * Bug fix: Fixed external url or interactive data viewers in portlet_dataviewers.pt [ghicaale]
 * Bug fix: Fixed second zoom on large figures [voineali #2808]
 * Bug fix: Display only the latest version available in versions box [voineali #2798]
 * Bug fix: Fix custom faceted geocoverage widget counting and optimize query and count
     methods [voineali #2800]

1.1 - (2009-11-18)
------------------
 * Feature: Hide empty files on views [ghicaale]
 * Bug fix: Fixed link to latest version on EEAFigure view template [ghicaale]

1.0 -(2009-11-10)
-----------------
 * Initial release [ghicaale]

